> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/scoredetails ## OpenAPI ````json POST /v2/assurance/scoredetails { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/scoredetails": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceScoredetailsPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceScoredetailsPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceScoredetailsPostRequest": { "type": "object", "properties": { "timeWindow": { "$ref": "#/components/schemas/assuranceTimeWindow" } }, "additionalProperties": false }, "v2AssuranceScoredetailsPostResponse": { "type": "object", "properties": { "scoreDetails": { "$ref": "#/components/schemas/assuranceScoreDetails" } }, "additionalProperties": false }, "assuranceTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "assuranceScoreDetails": { "type": "object", "properties": { "scoreBucketList": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceScoreBucketCount" } } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "assuranceScoreBucketCount": { "type": "object", "properties": { "currScore": { "type": "integer", "format": "int64", "example": 1234567891011 }, "maxScore": { "type": "integer", "format": "int64", "example": 1234567891011 }, "scoreBucketId": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````